<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="Default" />

This template is responsible for creating a table of domain objects.

If you modify this template, do not forget to change the overwrite settings
in /Configuration/ExtensionBuilder/settings.yaml:
  Resources:
    Private:
      Templates:
        MailQueue:
          List.html: keep

Otherwise your changes will be overwritten the next time you save the extension in the extension builder

<f:section name="content">
    <h1>Listing for MailQueue</h1>

    <f:flashMessages />

    <table class="tx_smartverein">
        <tr>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.subject" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.body" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.body_html" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.sender" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.recipient" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.sender_name" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.recipient_name" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.attachements" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.date_sent" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.type" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.status" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.priority" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.retries" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.processed_time" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.error_time" /></th>
            <th><f:translate key="tx_smartverein_domain_model_mailqueue.error_message" /></th>
            <th></th>
            <th></th>
        </tr>
        <f:for each="{mailQueues}" as="mailQueue">
            <tr>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.subject}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.body}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.bodyHtml}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.sender}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.recipient}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.senderName}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.recipientName}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.attachements}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.dateSent -> f:format.date()}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.type}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.status}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.priority}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.retries}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.processedTime -> f:format.date()}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.errorTime -> f:format.date()}</f:link.action></td>
                <td><f:link.action action="show" arguments="{mailQueue : mailQueue}">{mailQueue.errorMessage}</f:link.action></td>
                <td><f:link.action action="edit" arguments="{mailQueue : mailQueue}">Edit</f:link.action></td>
                <td><f:link.action action="delete" arguments="{mailQueue : mailQueue}">Delete</f:link.action></td>
            </tr>
        </f:for>
    </table>

    <f:link.action action="new">New MailQueue</f:link.action>
</f:section>
</html>
